package se.mdh.assist.analysis.wcet.data;

public class WCETAnalysisOptions {
	public NormalizationMethod normalizationMethod = NormalizationMethod.MAXIMAL_ELEMENTS;
	public HierarchicalAnalysisType hierarchicalAnalysisType = HierarchicalAnalysisType.IF_NEEDED;
	
	
	public static enum HierarchicalAnalysisType {
		NON_HIERARCHICAL,
		IF_NEEDED,
		FORCED
	}
	
	public static enum NormalizationMethod {
		MAXIMAL_ELEMENTS,
		SUPREMUM
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		
		sb.append("Normalization method: ");
		sb.append(normalizationMethod);
		sb.append("\n");
		sb.append("Hierarchical analysis type:  ");
		sb.append(hierarchicalAnalysisType);
		
		return sb.toString();
	}
	
	

}
