package se.mdh.assist.analysis.wcet.gui;

import javax.swing.UIManager;

import se.mdh.assist.analysis.wcet.data.FBWCETData;
import se.mdh.assist.analysis.wcet.data.PeriodWCETData;
import se.mdh.assist.analysis.wcet.data.WCETData;
import se.mdh.assist.analysis.wcet.data.WCETDataList;

public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {}
		
		
		FBWCETData data = new FBWCETData();

		WCETDataList eventDataList = new WCETDataList();
		eventDataList.add(new WCETData(50, "a"));
		eventDataList.add(new WCETData(10, "b"));
		data.getEventData().put("x", eventDataList);
		
		eventDataList = new WCETDataList();
		eventDataList.add(new WCETData(501, "aa"));
		eventDataList.add(new WCETData(101, "ba"));
		data.getEventData().put("y", eventDataList);
		
		eventDataList = new WCETDataList();
		eventDataList.add(new WCETData(6, "c"));
		eventDataList.add(new WCETData(17, "d"));
		data.getEventData().put("y", eventDataList);
		data.getPeriodData().add(new PeriodWCETData(100, eventDataList));
		
		eventDataList = new WCETDataList();
		eventDataList.add(new WCETData(26, "cc"));
		eventDataList.add(new WCETData(37, "dd"));
		data.getPeriodData().add(new PeriodWCETData(200, eventDataList));
		
		eventDataList = new WCETDataList();
		eventDataList.add(new WCETData(16, "ccc"));
		eventDataList.add(new WCETData(27, "ddd"));
		data.getPeriodData().add(new PeriodWCETData(150, eventDataList));
		
		
		
		FBWCETEditorDialog dialog = new FBWCETEditorDialog();
		dialog.setData(data);
		
		dialog.setVisible(true);

	}

}
