package se.mdh.assist.analysis.wcet;

import java.util.ArrayList;
import java.util.HashMap;

import org.fordiac.ide.model.libraryElement.Application;

import se.mdh.assist.analysis.wcet.data.FBWCETData;
import se.mdh.assist.analysis.wcet.data.PeriodWCETData;
import se.mdh.assist.analysis.wcet.data.WCETAnalysisOptions;
import se.mdh.assist.analysis.wcet.data.WCETDataList;

public class AppAnalysis extends NetworkAnalysis {

	protected Application application;
	
	public AppAnalysis(Application application, WCETAnalysisOptions options) {
		super(application.getFBNetwork(), options);
		this.application = application;
	}


	@Override
	public FBWCETData doAnalysis() {
		HashMap<String, WCETDataList> eventData = new HashMap<String, WCETDataList>();
		ArrayList<PeriodWCETData> periodData = doPeriodAnalysis();
		return new FBWCETData(eventData, periodData);
	}


	
}
